# Uses of Class
org.eclipse.gef.common.collections.ListListenerHelperEx.ElementarySubChange

Packages that use ListListenerHelperEx.ElementarySubChange
Package
Description
org.eclipse.gef.common.collections
This package augments the JavaFX collections API with support for `SetMultimap` and `Multiset`.

## Uses of ListListenerHelperEx.ElementarySubChange in org.eclipse.gef.common.collections

Methods in org.eclipse.gef.common.collections that return ListListenerHelperEx.ElementarySubChange
Modifier and Type
Method
Description
`static <E> ListListenerHelperEx.ElementarySubChange<E>`
ListListenerHelperEx.ElementarySubChange.`added(List<? extends E> added, int from, int to)`
Creates a new `ListListenerHelperEx.ElementarySubChange` representing an addition.
`static <E> ListListenerHelperEx.ElementarySubChange<E>`
ListListenerHelperEx.ElementarySubChange.`permutated(int[] permutation, int from, int to)`
Creates a new `ListListenerHelperEx.ElementarySubChange` representing a permutation.
`static <E> ListListenerHelperEx.ElementarySubChange<E>`
ListListenerHelperEx.ElementarySubChange.`removed(List<? extends E> removed, int from, int to)`
Creates a new `ListListenerHelperEx.ElementarySubChange` representing a removal.
`static <E> ListListenerHelperEx.ElementarySubChange<E>`
ListListenerHelperEx.ElementarySubChange.`replaced(List<? extends E> removed, List<? extends E> added, int from, int to)`
Creates a new `ListListenerHelperEx.ElementarySubChange` representing a replacement.
Methods in org.eclipse.gef.common.collections that return types with arguments of type ListListenerHelperEx.ElementarySubChange
Modifier and Type
Method
Description
`protected static <E> List<ListListenerHelperEx.ElementarySubChange<E>>`
ListListenerHelperEx.`getElementaryChanges(ListChangeListener.Change<? extends E> change)`
Infers the elementary changes constituting the change of the `ObservableList`.
Constructors in org.eclipse.gef.common.collections with parameters of type ListListenerHelperEx.ElementarySubChange
Modifier
Constructor
Description
``
`AtomicChange(ObservableList<E> source, List<E> previousContents, ListListenerHelperEx.ElementarySubChange<E> elementarySubChange)`
Creates a new `ListListenerHelperEx.AtomicChange` that represents a change comprising a single elementary sub-change.